import request from '@/utils/request'

// 新增补贴模式
export function subsidyModeAdd(data) {
    return request({
        url: '/subsidy/subsidyMode/add',
        method: 'post',
        data
    })
}
// 修改补贴模式
export function subsidyModeEdit(data) {
    return request({
        url: '/subsidy/subsidyMode/edit',
        method: 'post',
        data
    })
}

// 分页查询补贴模式列表
export function subsidyModePage(query) {
    return request({
        url: '/subsidy/subsidyMode/page',
        method: 'get',
        params: query
    })
}

// 获取补贴模式详细信息
export function subsidyModInfo(modeId) {
    return request({
        url: `/subsidy/subsidyMode/info/${modeId}`,
        method: 'get',
    })
}

// 获取商户当前补贴模式详细信息
export function subsidyModeCurrentInfo(query) {
    return request({
        url: `/subsidy/subsidyMode/currentInfo`,
        method: 'get',
        params: query
    })
}

// 补贴模式列表全部数据
export function subsidyModeList(query) {
    return request({
        url: `/subsidy/subsidyMode/list`,
        method: 'get',
        params: query
    })
}

// 设置补贴模式自动转换
export function subsidyModeAutoSet(data) {
    return request({
        url: '/subsidy/subsidyModeAuto/set',
        method: 'post',
        data
    })
}

// 获取补贴模式自动转换详细信息
export function subsidyModeAutoInfo(query) {
    return request({
        url: `/subsidy/subsidyModeAuto/info`,
        method: 'get',
        params: query
    })
}

// 开启或关闭自动化
export function subsidyModeAutoEnabled(modeAutoId) {
    return request({
        url: `/subsidy/subsidyModeAuto/enabled/${modeAutoId}`,
        method: 'post',
    })
}

// 获取当前排队人数
export function subsidyQueueValidQueueCount(query) {
    return request({
        url: `/subsidy/subsidyQueue/validQueueCount`,
        method: 'get',
        params: query
    })
}
